@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@100;200;300;400;500;600;700;800;900&display=swap');
/*-----------------------------------*\
  #CSS BY BEKIM JAHMURATAJ
\*-----------------------------------*/
.preloader_bg {
    background: #212121;
    height: 100vh;
    width: 100%;
    position: fixed;
    z-index: 100;
}
.preloader{
    border: 0 solid transparent;
    border-radius: 50%;
    width: 250px;
    height: 250px;
    position: absolute;
    top: calc(50vh - 105px);
    left: calc(50vw - 125px);
}
.preloader:before, .preloader:after{
    content: '';
    border:  5px solid #8cf304;
    border-radius: 50%;
    width: inherit;
    height: inherit;
    position: absolute;
    top: 0;
    left: 0;
    animation: loader 2s linear infinite;
    opacity: 0;
}
.preloader:before {
    animation-delay: .5s;
}
.preloader p{
    color: #8cf304;
    text-transform: uppercase;
    text-align: center;
    font-size: 14px;
    margin: 48%;
    position: relative;
    right: 19px;
    border: 1px #000000;
    text-shadow: 0 0px 30px #8cf304;
    animation: loader 1s linear infinite;
}
@keyframes loader {
    0%{
        transform: scale(0);
        opacity: 0;
    }
    50%{
        opacity: 1;
    }
    100%{
        transform: scale(1);
        opacity: 0;
    }
}
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}
body {
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    background: url(../img/background.png);
    background-size: cover;
    background-position: center;
}
header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    padding: 20px 100px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 99;
}
.logo{
    font-size: 2em;
    color: #fff;
    user-select: none;
}
.navigation a{
    position: relative;
    font-size: 1.1em;
    color: #fff;
    text-decoration: none;
    font-weight: 500;
    margin-left: 40px;
}
.navigation a::after{
    content: '';
    position: absolute;
    left: 0;
    bottom: -6px;
    width: 100%;
    height: 3px;
    background: #fff;
    border-radius: 5px;
    transform-origin: right;
    transform: scaleX(0);
    transition: transform .5s;
}
.navigation a:hover:after{
    transform-origin: left;
    transform: scale(1);
}
.navigation .btnLogin-popup{
    width: 130px;
    height: 50px;
    background: transparent;
    border: 2px solid #fff;
    outline: none;
    border-radius: 6px;
    cursor: pointer;
    font-size: 1.1em;
    color: #fff;
    font-weight: 500;
    margin-left: 40px;
    transition: .5s;
}
.navigation .btnLogin-popup:hover {
    background: #fff;
    color: #162938;
}
.wrapper{
    position: relative;
    width: 400px;
    height: 400px;
    background: transparent;
    border: 2px solid rgba(255, 255, 255, .5);
    border-radius: 20px;
    backdrop-filter: blur(20px);
    box-shadow: 0 0 30px rgba(0, 0, 0, .5);
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    transform: scale(0);
    transition: transform .5s ease, height .2s ease;
}
.wrapper.active-popup{
    transform: scale(1);
}
.wrapper.active{
    height: 520px;
}
.wrapper .form-box{
    width: 100%;
    padding: 40px;
}
.wrapper .form-box.login{
   transition: transform .10s ease;
   transform: translateX(0);
}
.wrapper.active .form-box.login{
    transition: none;
    transform: translateX(-400px);
}
.wrapper .form-box.register{
    position: absolute;
    transition: none;
    transform: translateX(400px);
}
.wrapper.active .form-box.register{
    transition: transform .18s ease;
    transform: translateX(0);
}
.wrapper .icon-close{
    position: absolute;
    top: 0;
    right: 0;
    width: 45px;
    height: 45px;
    background: #fff;
    font-size: 2em;
    color: #161616;
    display: flex;
    justify-content: center;
    align-items: center;
    border-bottom-left-radius: 20px;
    cursor: pointer;
    z-index: 1;

}
.form-box h2 {
    font-size: 2em;
    color: #fff;
    text-align: center;
}
.input-box{
    position: relative;
    width: 100%;
    height: 50px;
    border-bottom: 2px solid #fff;
    margin: 30px 0;
}
.input-box label{
    position: absolute;
    top: 50%;
    left: 5px;
    transform: translateY(-50%);
    color: #fff;
    font-weight: 500;
    pointer-events: none;
    transition: .5s;
}
.input-box input:focus~label,
.input-box input:valid~label {
    top: -5px;
}
.input-box input{
    width: 100%;
    height: 100%;
    background: transparent;
    border: none;
    outline: none;
    font-size: 1em;
    color: #fff;
    font-weight: 600;
    padding: 0 35px 0 5px;
}
.input-box .icon{
    position: absolute;
    right: 8px;
    font-size: 1.2em;
    color: #fff;
    line-height: 57px;
}
.remember-forgot{
    font-size: .9em;
    color: #fff;
    font-weight: 500;
    margin: -15px 0 15px;
    display: flex;
    justify-content: space-between;
}
.remember-forgot label input{
    accent-color: #161616;
    margin-right: 3px;
}
.remember-forgot a {
    color: #fff;
    text-decoration: none;
}
.remember-forgot a:hover{
    text-decoration: underline;
}
.btn{
    width: 100%;
    height: 45px;
    background: #fff;
    border: none;
    outline: none;
    border-radius: 6px;
    cursor: pointer;
    font-size: 1em;
    color: #161616;
    font-weight: 500;
}
.login-register{
    font-size: .9em;
    color: #fff;
    text-align: center;
    font-weight: 500;
    margin: 25px 0 10px;

}
.login-register p a{
    color: #fff;
    text-decoration: none;
    font-weight: 600;
}
.login-register p a:hover{
    text-decoration: underline;
}